org.keycloak.saml.processing.core.saml.v2.constants

## Enum X500SAMLProfileConstants

- java.lang.Object
- - java.lang.Enum<X500SAMLProfileConstants>
  - - org.keycloak.saml.processing.core.saml.v2.constants.X500SAMLProfileConstants

- All Implemented Interfaces:
    Serializable, Comparable<X500SAMLProfileConstants>

      public enum X500SAMLProfileConstants
      extends Enum<X500SAMLProfileConstants>

  X500 SAML Profile Constants Adapted from http://code.google.com/p/simplesamlphp/source/browse/trunk/attributemap/name2oid.php?r=2654
  Since:
    Sep 11, 2009
  Author:
    Anil.Saldhana@redhat.com

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A_RECORD`
    `ALIASED_ENTRY_NAME`
    `ALIASED_OBJECT_NAME`
    `ASSOCIATED_DOMAIN`
    `ASSOCIATED_NAME`
    `AUDIO`
    `AUTHORITY_REVOCATION_LIST`
    `BINDING_NAME`
    `BUSINESS_CATEGORY`
    `C`
    `CA_CERTIFICATE`
    `CAR_LICENSE`
    `CN`
    `CNAME_RECORD`
    `CO`
    `COMMON_NAME`
    `COUNTRY_NAME`
    `CRL`
    `CROSS_CERTIFICATE_PAIR`
    `D_IT_REDIRECT`
    `D_SA_QUALITY`
    `DC`
    `DELTA_REVOCATION_LIST`
    `DEPARTMENT_NUMBER`
    `DESCRIPTION`
    `DESTINATION_INDICATOR`
    `DISPLAY_NAME`
    `DISTINGUISHED_NAME`
    `DMD_NAME`
    `DN_QUALIFIER`
    `DOCUMENT_AUTHOR`
    `DOCUMENT_IDENTIFIER`
    `DOCUMENT_LOCATION`
    `DOCUMENT_PUBLISHER`
    `DOCUMENT_TITLE`
    `DOCUMENT_VERSION`
    `DOMAIN_COMPONENT`
    `DRINK`
    `EDU_ORG_HOMEPAGEURI`
    `EDU_ORG_IDENTITY_AUTHN_POLICYURI`
    `EDU_ORG_LEGALNAME`
    `EDU_ORG_SUPERIORURI`
    `EDU_ORG_WHITEPAGESURI`
    `EDU_PERSION_ORG_UNIT_DN`
    `EDU_PERSON_AFFLIATION`
    `EDU_PERSON_ENTITLEMENT`
    `EDU_PERSON_NICKNAME`
    `EDU_PERSON_ORG_DN`
    `EDU_PERSON_PRIMARY_AFFLIATION`
    `EDU_PERSON_PRIMARY_ORG_UNIT_DN`
    `EDU_PERSON_PRINCIPAL_NAME`
    `EDU_PERSON_SCOPED_AFFLIATION`
    `EDU_PERSON_TARGETED_ID`
    `EMAIL`
    `EMAIL_ADDRESS`
    `EMPLOYEE_NUMBER`
    `EMPLOYEE_TYPE`
    `ENHANCED_SEARCH_GUIDE`
    `FAVORITE_DRINK`
    `FAX`
    `FAX_TELEPHONE_NUMBER`
    `FEDERATION_FEIDE_SCHEMA_VERSION`
    `FRIENDLY_COUNTRY_NAME`
    `GENERATION_QUALIFIER`
    `GIVEN_NAME`
    `GN`
    `HOME_PHONE`
    `HOME_POSTAL_ADDRESS`
    `HOME_TELEPHONE_NUMBER`
    `HOST`
    `HOUSE_IDENTIFIER`
    `INFO`
    `INITIALS`
    `INTERNATIONAL_ISDN_NUMBER`
    `IS_MEMBEROF`
    `JANET_MAILBOX`
    `JPEG_PHOTO`
    `KNOWLEDGE_INFORMATION`
    `L`
    `LABELED_URI`
    `LOCALITY_NAME`
    `M_DRECORD`
    `M_XRECORD`
    `MAIL`
    `MAIL_PREFERENCEOPTION`
    `MANAGER`
    `MEMBER`
    `MOBILE`
    `MOBILE_TELEPHONE_NUMBER`
    `N_SRECORD`
    `NAME`
    `NOR_EDU_ORG_ACRONYM`
    `NOR_EDU_ORG_NIN`
    `NOR_EDU_ORG_SCHEMA_VERSION`
    `NOR_EDU_ORG_UNIQUE_IDENTIFIER`
    `NOR_EDU_ORG_UNIQUE_NUMBER`
    `NOR_EDU_ORG_UNIT_UNIQUE_IDENTIFIER`
    `NOR_EDU_ORG_UNIT_UNIQUE_NUMBER`
    `NOR_EDU_PERSON_BIRTH_DATE`
    `NOR_EDU_PERSON_LIN`
    `NOR_EDU_PERSON_NIN`
    `O`
    `OBJECT_CLASS`
    `ORGANIZATION_NAME`
    `ORGANIZATIONAL_STATUS`
    `ORGANIZATIONAL_UNIT_NAME`
    `OTHER_MAIL_BOX`
    `OU`
    `OWNER`
    `PAGER`
    `PAGER_TELEPHONE_NUMBER`
    `PERSONAL_SIGNATURE`
    `PERSONAL_TITLE`
    `PHOTO`
    `PHYSICAL_DELIVERY_OFFICE_NAME`
    `PKCS_9_EMAIL`
    `POST_OFFICE_BOX`
    `POSTAL_ADDRESS`
    `POSTAL_CODE`
    `PREFERRED_DELIVERY_METHOD`
    `PREFERRED_LANGUAGE`
    `PRESENTATION_ADDRESS`
    `PROTOCOL_INFORMATION`
    `PSEUDONYM`
    `REGISTERED_ADDRESS`
    `RFC_822_MAILBOX`
    `ROLE_OCCUPANT`
    `ROOM_NUMBER`
    `S_OAR_RECORD`
    `SEARCH_GUIDE`
    `SECRETARY`
    `SEE_ALSO`
    `SERIAL_NUMBER`
    `SINGLE_LEVEL_QUALITY`
    `SN`
    `ST`
    `STATE_OR_PROVINCE_NAME`
    `STREET`
    `STREET_ADDRESS`
    `SUBTREE_MAXIMUM_QUALITY`
    `SUBTREE_MINIMUM_QUALITY`
    `SUPPORTED_ALGORITHMS`
    `SUPPORTED_APPLICATION_CONTEXT`
    `SURNAME`
    `TELEPHONE_NUMBER`
    `TELETEX_TERMINAL_IDENTIFIER`
    `TELEX_NUMBER`
    `TEXT_ENCODED_OR_ADDRESS`
    `TITLE`
    `UID`
    `UNIQUE_IDENTIFIER`
    `UNIQUE_MEMBER`
    `USER_CERTIFICATE`
    `USER_CLASS`
    `USER_PASSWORD`
    `USER_PKCS12`
    `USER_SMIME_CERTIFICATE`
    `USERID`
    `X121_ADDRESS`
    `X500_UNIQUE_IDENTIFIER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `correspondsTo(AttributeType attribute)`
    `String` | `get()`
    `String` | `getFriendlyName()`
    `static String` | `getOID(String key)`
    `static X500SAMLProfileConstants` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static X500SAMLProfileConstants[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A_RECORD

          public static final X500SAMLProfileConstants A_RECORD

    - #### ALIASED_ENTRY_NAME

          public static final X500SAMLProfileConstants ALIASED_ENTRY_NAME

    - #### ALIASED_OBJECT_NAME

          public static final X500SAMLProfileConstants ALIASED_OBJECT_NAME

    - #### ASSOCIATED_DOMAIN

          public static final X500SAMLProfileConstants ASSOCIATED_DOMAIN

    - #### ASSOCIATED_NAME

          public static final X500SAMLProfileConstants ASSOCIATED_NAME

    - #### AUDIO

          public static final X500SAMLProfileConstants AUDIO

    - #### AUTHORITY_REVOCATION_LIST

          public static final X500SAMLProfileConstants AUTHORITY_REVOCATION_LIST

    - #### BINDING_NAME

          public static final X500SAMLProfileConstants BINDING_NAME

    - #### BUSINESS_CATEGORY

          public static final X500SAMLProfileConstants BUSINESS_CATEGORY

    - #### C

          public static final X500SAMLProfileConstants C

    - #### CA_CERTIFICATE

          public static final X500SAMLProfileConstants CA_CERTIFICATE

    - #### CNAME_RECORD

          public static final X500SAMLProfileConstants CNAME_RECORD

    - #### CAR_LICENSE

          public static final X500SAMLProfileConstants CAR_LICENSE

    - #### CRL

          public static final X500SAMLProfileConstants CRL

    - #### CN

          public static final X500SAMLProfileConstants CN

    - #### CO

          public static final X500SAMLProfileConstants CO

    - #### COMMON_NAME

          public static final X500SAMLProfileConstants COMMON_NAME

    - #### COUNTRY_NAME

          public static final X500SAMLProfileConstants COUNTRY_NAME

    - #### CROSS_CERTIFICATE_PAIR

          public static final X500SAMLProfileConstants CROSS_CERTIFICATE_PAIR

    - #### D_IT_REDIRECT

          public static final X500SAMLProfileConstants D_IT_REDIRECT

    - #### D_SA_QUALITY

          public static final X500SAMLProfileConstants D_SA_QUALITY

    - #### DC

          public static final X500SAMLProfileConstants DC

    - #### DELTA_REVOCATION_LIST

          public static final X500SAMLProfileConstants DELTA_REVOCATION_LIST

    - #### DEPARTMENT_NUMBER

          public static final X500SAMLProfileConstants DEPARTMENT_NUMBER

    - #### DESCRIPTION

          public static final X500SAMLProfileConstants DESCRIPTION

    - #### DESTINATION_INDICATOR

          public static final X500SAMLProfileConstants DESTINATION_INDICATOR

    - #### DISPLAY_NAME

          public static final X500SAMLProfileConstants DISPLAY_NAME

    - #### DISTINGUISHED_NAME

          public static final X500SAMLProfileConstants DISTINGUISHED_NAME

    - #### DMD_NAME

          public static final X500SAMLProfileConstants DMD_NAME

    - #### DN_QUALIFIER

          public static final X500SAMLProfileConstants DN_QUALIFIER

    - #### DOCUMENT_AUTHOR

          public static final X500SAMLProfileConstants DOCUMENT_AUTHOR

    - #### DOCUMENT_IDENTIFIER

          public static final X500SAMLProfileConstants DOCUMENT_IDENTIFIER

    - #### DOCUMENT_LOCATION

          public static final X500SAMLProfileConstants DOCUMENT_LOCATION

    - #### DOCUMENT_PUBLISHER

          public static final X500SAMLProfileConstants DOCUMENT_PUBLISHER

    - #### DOCUMENT_TITLE

          public static final X500SAMLProfileConstants DOCUMENT_TITLE

    - #### DOCUMENT_VERSION

          public static final X500SAMLProfileConstants DOCUMENT_VERSION

    - #### DOMAIN_COMPONENT

          public static final X500SAMLProfileConstants DOMAIN_COMPONENT

    - #### DRINK

          public static final X500SAMLProfileConstants DRINK

    - #### EDU_ORG_HOMEPAGEURI

          public static final X500SAMLProfileConstants EDU_ORG_HOMEPAGEURI

    - #### EDU_ORG_IDENTITY_AUTHN_POLICYURI

          public static final X500SAMLProfileConstants EDU_ORG_IDENTITY_AUTHN_POLICYURI

    - #### EDU_ORG_LEGALNAME

          public static final X500SAMLProfileConstants EDU_ORG_LEGALNAME

    - #### EDU_ORG_SUPERIORURI

          public static final X500SAMLProfileConstants EDU_ORG_SUPERIORURI

    - #### EDU_ORG_WHITEPAGESURI

          public static final X500SAMLProfileConstants EDU_ORG_WHITEPAGESURI

    - #### EDU_PERSON_AFFLIATION

          public static final X500SAMLProfileConstants EDU_PERSON_AFFLIATION

    - #### EDU_PERSON_ENTITLEMENT

          public static final X500SAMLProfileConstants EDU_PERSON_ENTITLEMENT

    - #### EDU_PERSON_NICKNAME

          public static final X500SAMLProfileConstants EDU_PERSON_NICKNAME

    - #### EDU_PERSON_ORG_DN

          public static final X500SAMLProfileConstants EDU_PERSON_ORG_DN

    - #### EDU_PERSION_ORG_UNIT_DN

          public static final X500SAMLProfileConstants EDU_PERSION_ORG_UNIT_DN

    - #### EDU_PERSON_PRIMARY_AFFLIATION

          public static final X500SAMLProfileConstants EDU_PERSON_PRIMARY_AFFLIATION

    - #### EDU_PERSON_PRIMARY_ORG_UNIT_DN

          public static final X500SAMLProfileConstants EDU_PERSON_PRIMARY_ORG_UNIT_DN

    - #### EDU_PERSON_PRINCIPAL_NAME

          public static final X500SAMLProfileConstants EDU_PERSON_PRINCIPAL_NAME

    - #### EDU_PERSON_SCOPED_AFFLIATION

          public static final X500SAMLProfileConstants EDU_PERSON_SCOPED_AFFLIATION

    - #### EDU_PERSON_TARGETED_ID

          public static final X500SAMLProfileConstants EDU_PERSON_TARGETED_ID

    - #### EMAIL

          public static final X500SAMLProfileConstants EMAIL

    - #### EMAIL_ADDRESS

          public static final X500SAMLProfileConstants EMAIL_ADDRESS

    - #### EMPLOYEE_NUMBER

          public static final X500SAMLProfileConstants EMPLOYEE_NUMBER

    - #### EMPLOYEE_TYPE

          public static final X500SAMLProfileConstants EMPLOYEE_TYPE

    - #### ENHANCED_SEARCH_GUIDE

          public static final X500SAMLProfileConstants ENHANCED_SEARCH_GUIDE

    - #### FAX_TELEPHONE_NUMBER

          public static final X500SAMLProfileConstants FAX_TELEPHONE_NUMBER

    - #### FAVORITE_DRINK

          public static final X500SAMLProfileConstants FAVORITE_DRINK

    - #### FAX

          public static final X500SAMLProfileConstants FAX

    - #### FEDERATION_FEIDE_SCHEMA_VERSION

          public static final X500SAMLProfileConstants FEDERATION_FEIDE_SCHEMA_VERSION

    - #### FRIENDLY_COUNTRY_NAME

          public static final X500SAMLProfileConstants FRIENDLY_COUNTRY_NAME

    - #### GENERATION_QUALIFIER

          public static final X500SAMLProfileConstants GENERATION_QUALIFIER

    - #### GIVEN_NAME

          public static final X500SAMLProfileConstants GIVEN_NAME

    - #### GN

          public static final X500SAMLProfileConstants GN

    - #### HOME_PHONE

          public static final X500SAMLProfileConstants HOME_PHONE

    - #### HOME_POSTAL_ADDRESS

          public static final X500SAMLProfileConstants HOME_POSTAL_ADDRESS

    - #### HOME_TELEPHONE_NUMBER

          public static final X500SAMLProfileConstants HOME_TELEPHONE_NUMBER

    - #### HOST

          public static final X500SAMLProfileConstants HOST

    - #### HOUSE_IDENTIFIER

          public static final X500SAMLProfileConstants HOUSE_IDENTIFIER

    - #### INFO

          public static final X500SAMLProfileConstants INFO

    - #### INITIALS

          public static final X500SAMLProfileConstants INITIALS

    - #### INTERNATIONAL_ISDN_NUMBER

          public static final X500SAMLProfileConstants INTERNATIONAL_ISDN_NUMBER

    - #### IS_MEMBEROF

          public static final X500SAMLProfileConstants IS_MEMBEROF

    - #### JANET_MAILBOX

          public static final X500SAMLProfileConstants JANET_MAILBOX

    - #### JPEG_PHOTO

          public static final X500SAMLProfileConstants JPEG_PHOTO

    - #### KNOWLEDGE_INFORMATION

          public static final X500SAMLProfileConstants KNOWLEDGE_INFORMATION

    - #### L

          public static final X500SAMLProfileConstants L

    - #### LABELED_URI

          public static final X500SAMLProfileConstants LABELED_URI

    - #### LOCALITY_NAME

          public static final X500SAMLProfileConstants LOCALITY_NAME

    - #### M_DRECORD

          public static final X500SAMLProfileConstants M_DRECORD

    - #### M_XRECORD

          public static final X500SAMLProfileConstants M_XRECORD

    - #### MAIL

          public static final X500SAMLProfileConstants MAIL

    - #### MAIL_PREFERENCEOPTION

          public static final X500SAMLProfileConstants MAIL_PREFERENCEOPTION

    - #### MANAGER

          public static final X500SAMLProfileConstants MANAGER

    - #### MEMBER

          public static final X500SAMLProfileConstants MEMBER

    - #### MOBILE

          public static final X500SAMLProfileConstants MOBILE

    - #### MOBILE_TELEPHONE_NUMBER

          public static final X500SAMLProfileConstants MOBILE_TELEPHONE_NUMBER

    - #### N_SRECORD

          public static final X500SAMLProfileConstants N_SRECORD

    - #### NAME

          public static final X500SAMLProfileConstants NAME

    - #### NOR_EDU_ORG_ACRONYM

          public static final X500SAMLProfileConstants NOR_EDU_ORG_ACRONYM

    - #### NOR_EDU_ORG_NIN

          public static final X500SAMLProfileConstants NOR_EDU_ORG_NIN

    - #### NOR_EDU_ORG_SCHEMA_VERSION

          public static final X500SAMLProfileConstants NOR_EDU_ORG_SCHEMA_VERSION

    - #### NOR_EDU_ORG_UNIQUE_IDENTIFIER

          public static final X500SAMLProfileConstants NOR_EDU_ORG_UNIQUE_IDENTIFIER

    - #### NOR_EDU_ORG_UNIQUE_NUMBER

          public static final X500SAMLProfileConstants NOR_EDU_ORG_UNIQUE_NUMBER

    - #### NOR_EDU_ORG_UNIT_UNIQUE_IDENTIFIER

          public static final X500SAMLProfileConstants NOR_EDU_ORG_UNIT_UNIQUE_IDENTIFIER

    - #### NOR_EDU_ORG_UNIT_UNIQUE_NUMBER

          public static final X500SAMLProfileConstants NOR_EDU_ORG_UNIT_UNIQUE_NUMBER

    - #### NOR_EDU_PERSON_BIRTH_DATE

          public static final X500SAMLProfileConstants NOR_EDU_PERSON_BIRTH_DATE

    - #### NOR_EDU_PERSON_LIN

          public static final X500SAMLProfileConstants NOR_EDU_PERSON_LIN

    - #### NOR_EDU_PERSON_NIN

          public static final X500SAMLProfileConstants NOR_EDU_PERSON_NIN

    - #### O

          public static final X500SAMLProfileConstants O

    - #### OBJECT_CLASS

          public static final X500SAMLProfileConstants OBJECT_CLASS

    - #### ORGANIZATION_NAME

          public static final X500SAMLProfileConstants ORGANIZATION_NAME

    - #### ORGANIZATIONAL_STATUS

          public static final X500SAMLProfileConstants ORGANIZATIONAL_STATUS

    - #### ORGANIZATIONAL_UNIT_NAME

          public static final X500SAMLProfileConstants ORGANIZATIONAL_UNIT_NAME

    - #### OTHER_MAIL_BOX

          public static final X500SAMLProfileConstants OTHER_MAIL_BOX

    - #### OU

          public static final X500SAMLProfileConstants OU

    - #### OWNER

          public static final X500SAMLProfileConstants OWNER

    - #### PAGER

          public static final X500SAMLProfileConstants PAGER

    - #### PAGER_TELEPHONE_NUMBER

          public static final X500SAMLProfileConstants PAGER_TELEPHONE_NUMBER

    - #### PERSONAL_SIGNATURE

          public static final X500SAMLProfileConstants PERSONAL_SIGNATURE

    - #### PERSONAL_TITLE

          public static final X500SAMLProfileConstants PERSONAL_TITLE

    - #### PHOTO

          public static final X500SAMLProfileConstants PHOTO

    - #### PHYSICAL_DELIVERY_OFFICE_NAME

          public static final X500SAMLProfileConstants PHYSICAL_DELIVERY_OFFICE_NAME

    - #### PKCS_9_EMAIL

          public static final X500SAMLProfileConstants PKCS_9_EMAIL

    - #### POST_OFFICE_BOX

          public static final X500SAMLProfileConstants POST_OFFICE_BOX

    - #### POSTAL_ADDRESS

          public static final X500SAMLProfileConstants POSTAL_ADDRESS

    - #### POSTAL_CODE

          public static final X500SAMLProfileConstants POSTAL_CODE

    - #### PREFERRED_DELIVERY_METHOD

          public static final X500SAMLProfileConstants PREFERRED_DELIVERY_METHOD

    - #### PREFERRED_LANGUAGE

          public static final X500SAMLProfileConstants PREFERRED_LANGUAGE

    - #### PRESENTATION_ADDRESS

          public static final X500SAMLProfileConstants PRESENTATION_ADDRESS

    - #### PROTOCOL_INFORMATION

          public static final X500SAMLProfileConstants PROTOCOL_INFORMATION

    - #### PSEUDONYM

          public static final X500SAMLProfileConstants PSEUDONYM

    - #### REGISTERED_ADDRESS

          public static final X500SAMLProfileConstants REGISTERED_ADDRESS

    - #### RFC_822_MAILBOX

          public static final X500SAMLProfileConstants RFC_822_MAILBOX

    - #### ROLE_OCCUPANT

          public static final X500SAMLProfileConstants ROLE_OCCUPANT

    - #### ROOM_NUMBER

          public static final X500SAMLProfileConstants ROOM_NUMBER

    - #### S_OAR_RECORD

          public static final X500SAMLProfileConstants S_OAR_RECORD

    - #### SEARCH_GUIDE

          public static final X500SAMLProfileConstants SEARCH_GUIDE

    - #### SECRETARY

          public static final X500SAMLProfileConstants SECRETARY

    - #### SEE_ALSO

          public static final X500SAMLProfileConstants SEE_ALSO

    - #### SERIAL_NUMBER

          public static final X500SAMLProfileConstants SERIAL_NUMBER

    - #### SINGLE_LEVEL_QUALITY

          public static final X500SAMLProfileConstants SINGLE_LEVEL_QUALITY

    - #### SN

          public static final X500SAMLProfileConstants SN

    - #### ST

          public static final X500SAMLProfileConstants ST

    - #### STATE_OR_PROVINCE_NAME

          public static final X500SAMLProfileConstants STATE_OR_PROVINCE_NAME

    - #### STREET

          public static final X500SAMLProfileConstants STREET

    - #### STREET_ADDRESS

          public static final X500SAMLProfileConstants STREET_ADDRESS

    - #### SUBTREE_MAXIMUM_QUALITY

          public static final X500SAMLProfileConstants SUBTREE_MAXIMUM_QUALITY

    - #### SUBTREE_MINIMUM_QUALITY

          public static final X500SAMLProfileConstants SUBTREE_MINIMUM_QUALITY

    - #### SUPPORTED_ALGORITHMS

          public static final X500SAMLProfileConstants SUPPORTED_ALGORITHMS

    - #### SUPPORTED_APPLICATION_CONTEXT

          public static final X500SAMLProfileConstants SUPPORTED_APPLICATION_CONTEXT

    - #### SURNAME

          public static final X500SAMLProfileConstants SURNAME

    - #### TELEPHONE_NUMBER

          public static final X500SAMLProfileConstants TELEPHONE_NUMBER

    - #### TELETEX_TERMINAL_IDENTIFIER

          public static final X500SAMLProfileConstants TELETEX_TERMINAL_IDENTIFIER

    - #### TELEX_NUMBER

          public static final X500SAMLProfileConstants TELEX_NUMBER

    - #### TEXT_ENCODED_OR_ADDRESS

          public static final X500SAMLProfileConstants TEXT_ENCODED_OR_ADDRESS

    - #### TITLE

          public static final X500SAMLProfileConstants TITLE

    - #### UID

          public static final X500SAMLProfileConstants UID

    - #### UNIQUE_IDENTIFIER

          public static final X500SAMLProfileConstants UNIQUE_IDENTIFIER

    - #### UNIQUE_MEMBER

          public static final X500SAMLProfileConstants UNIQUE_MEMBER

    - #### USER_CERTIFICATE

          public static final X500SAMLProfileConstants USER_CERTIFICATE

    - #### USER_CLASS

          public static final X500SAMLProfileConstants USER_CLASS

    - #### USER_PKCS12

          public static final X500SAMLProfileConstants USER_PKCS12

    - #### USER_PASSWORD

          public static final X500SAMLProfileConstants USER_PASSWORD

    - #### USER_SMIME_CERTIFICATE

          public static final X500SAMLProfileConstants USER_SMIME_CERTIFICATE

    - #### USERID

          public static final X500SAMLProfileConstants USERID

    - #### X121_ADDRESS

          public static final X500SAMLProfileConstants X121_ADDRESS

    - #### X500_UNIQUE_IDENTIFIER

          public static final X500SAMLProfileConstants X500_UNIQUE_IDENTIFIER

  - ### Method Detail

    - #### values

          public static X500SAMLProfileConstants[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (X500SAMLProfileConstants c : X500SAMLProfileConstants.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static X500SAMLProfileConstants valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public String get()

    - #### getFriendlyName

          public String getFriendlyName()

    - #### correspondsTo

          public boolean correspondsTo(AttributeType attribute)

    - #### getOID

          public static String getOID(String key)

Copyright © 2020 JBoss by Red Hat. All rights reserved.